#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SouthSeaTreasureHuntEnterCFGData
{
	//ID
	int mID;
	//入场方式1
	std::vector<int> mEnter1;
	//入场方式2
	std::vector<int> mEnter2;
	//奖励列表(客户端用)
	std::vector<int> mRewards;
	//房间名
	std::string mName;
};

class Fish_SouthSeaTreasureHuntEnterCFG
{
public:
private:
	static std::auto_ptr<Fish_SouthSeaTreasureHuntEnterCFG> msSingleton;
public:
	int GetCount();
	const Fish_SouthSeaTreasureHuntEnterCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SouthSeaTreasureHuntEnterCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SouthSeaTreasureHuntEnterCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SouthSeaTreasureHuntEnterCFGData> mMapData;
};
